> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://walmart.postmansolutions.com/us-marketplace/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://walmart.postmansolutions.com/us-marketplace/_mcp/server.

# Generates packing options for an inbound plan. This is an asynchronous operation.

POST https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/{inboundPlanId}/packingOptions

Reference: https://walmart.postmansolutions.com/us-marketplace/api-reference/orders-fulfillment/fulfillment-inbound/wfs-inbound/generate-packing-options

## Servers

- `https://marketplace.walmart.com/seller/v1` (Production, default)
- `https://sandbox.marketplace.walmart.com/seller/v1` (Sandbox)

## Request

### Path parameters

- `inboundPlanId` (string, required) — Identifier of an inbound plan.

## Response

### 202

Accepted — operation submitted asynchronously.

- `operationId` (string, required) — UUID for the given operation.

## Errors

### 400 Bad Request Error

Bad Request

- `errors` (list of Error, required) — List of errors.

### 403 Forbidden Error

Forbidden

- `errors` (list of Error, required) — List of errors.

### 404 Not Found Error

Not Found

- `errors` (list of Error, required) — List of errors.

### 429 Too Many Requests Error

Rate limit exceeded

- `errors` (list of Error, required) — List of errors.

### 500 Internal Server Error

Internal Server Error

- `errors` (list of Error, required) — List of errors.

## Types

### Error

Error object containing information about what went wrong.

- `code` (string, required) — An error code that identifies the type of error that occurred.
- `message` (string, required) — A message that describes the error condition.
- `details` (string, optional) — Additional details that can help the caller understand or fix the issue.

## Examples

**Response**

```json
{
  "operationId": "string"
}
```

**SDK Code**

```python
import requests

url = "https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/packingOptions"

response = requests.post(url)

print(response.json())
```

```javascript
const url = 'https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/packingOptions';
const options = {method: 'POST'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/packingOptions"

	req, _ := http.NewRequest("POST", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/packingOptions")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/packingOptions")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/packingOptions');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/packingOptions");
var request = new RestRequest(Method.POST);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/packingOptions")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```